﻿--Command.System.Strict()

local addon, shared = ...

if Inspect.System.Language() == "German" then
	-- Planes
	local air = "Luft"
	local earth = "Erde"
	local fire = "Feuer"
	local water = "Wasser"
	local life = "Leben"
	local death = "Tod"
	
	-- Zones
	local silverwood = "Silberwald"
	local freemarch = "Freimark"
	local gloamwood = "Dämmerwald"
	local stonefield = "Steinfeld"
	local scarletgorge = "Scharlachrote Schlucht"
	local scarwoodreach = "Wundwald"
	local droughtlands = "Ödland"
	local moonshade = "Mondschattenberge"
	local ironpinepeak = "Eisenkieferngipfel"
	local shimmersand = "Schimmersand"
	local stillmoor = "Stillmoor"
	
	shared.text = {
		usage = "EventLookup %s\nNutzung: /elt -m -z <zone> -p <ebene> <suchtext>\n(-m = events mit fehlender Leistung)",
		
		-- States
		complete = "ERLEDIGT",
		missing = "FEHLT",
		defiant = "NUR SKEPTIKER",
		guardian = "NUR WÄCHTER"
	}
	
	shared.events = {
		-- { plane, zone, event name, boss name, achievement name, achievement ID}
		{air, droughtlands, "Himmelsschrecken", "Ptevetorax", "Falling Roc", "c41D636E1C4EC0200"},
		{air, droughtlands, "Wüstenwind", "Ditkanis", "Dust in the Wind", "c7C766D9D872A8AAE"},
		{air, ironpinepeak, "Steinkalte Eindringlinge", "Sither", "Stone Cold", "c418F32E4E2F0A767"},
		{air, ironpinepeak, "Die Himmelsbestien", "Nedavada", "Storm Chaser", "c5A0C51BD870DD73B"},
		{air, ironpinepeak, "Ebenenfrost", "Kaltus", "Defrosted Kaltes", "c268CA6DC4D365137"},
		{air, shimmersand, "Wind und Flügel", "Steetos", "Beating the Storm", "c768A63DD98B20D01"},
		{air, shimmersand, "Schlangen-Sturm", "Aurispus", "Sand Storm Serpent Slayer", "c7EF8612891313D5D"},
		
		{earth, stonefield, "Der Steintitan", "Granitchampion", "Titan Killer", "c581A104791380784"},
		{earth, stonefield, "Stöcke und Steine", "Bulgantis", "Stone Crushed", "c6B21B27C971348CA"},
		{earth, scarletgorge, "Systematische Zerstörung", "VX-27-Bagger", "Disassembled", "c0E3F3646C6FCA88D"},
		{earth, scarletgorge, "Royaler Raubzug", "Kayahan", "Gnarcissist", "c26C9344497C949CB"},
		{earth, droughtlands, "Der Stich des Sandes", "Enselthis", "Desert Sting", "c04BF28314273543A"},
		{earth, droughtlands, "Der Marsch der Steinarmee", "Gul'tiesh", "Ancient Undoing", "c18A23BEB9F09D3CC"},
		{earth, shimmersand, "Sand-Verehrung", "Malan Ta'er", "Sand Blasted", "c2042E987634DFFB9"},
		{earth, shimmersand, "Geißel des Sandes", "Derinku", "Between a Rock and a Hot Place", "c27F4E5F49B461464"},

		{fire, silverwood, "Der Marsch der Gedlo", "Cinderon", "Cinderfella", "c409B1838F2DC8D9C"},
		{fire, silverwood, "Der Waldbrand", "Mar'Kul", "Kul Down", "c49438D1B669C0D56"},
		{fire, gloamwood, "Aus den Tiefen", "Gobogon", "Burn Notice", "c224E1C117F8E815A"},
		{fire, gloamwood, "Geschmiedet im Zorn", "Kalluzifer", "Extinguished", "c27C4B5C0845A0600"},
		{fire, scarletgorge, "Die Feuerprobe", "Deregal", "Ashes to Ashes", "c3F7446372CA9DFC8"},
		{fire, scarletgorge, "Die Feuerprobe", "Fenkor", "Kiss of the Flame", "c6AEF6967566E3216"},
		{fire, droughtlands, "Der Brennende Dragoner", "Silnolr", "Dragon Warrior", "c290FF1ADAA7E655E"},
		{fire, droughtlands, "Feuriges Hufeklappern", "Kartok", "Knight of Flames", "c6E55084045AC8F25"},
		{fire, shimmersand, "Aus der Grube", "Valificur", "Fire and Sand", "c70439B3B5A552362"},
		
		{water, freemarch, "Die erdrückende Tiefe", "Xan'thaerid", "Dead Lobster", "c4A15BB79ACC61D54"},
		{water, freemarch, "Der Fall des Hammers", "Veras", "Verily Downstream", "c0A7A9453720B876C"},
		{water, moonshade, "Gefahr im Gebirge", "Maren", "Crashing the Wave", "c40DA58CECF337B8C"},
		{water, ironpinepeak, "Die Schneemeute", "Farous", "The Driven Snow", "c40D47F16F42555AC"},
		{water, ironpinepeak, "Gebirgsflut", "Geygesh", "Mountain Splash", "c5CC9B9DFACC77335"},
		
		{life, silverwood, "Schlacht der Waldlande", "Enthemmus", "Intoxicated", "c6906DA688F3440FB"},
		{life, silverwood, "Überfall der Bäume", "Knorzladon", "Uprooted", "c50FD748132E6CF64"},
		{life, scarwoodreach, "Harte Schläge", "Domovinius", "Battle Scars", "c282807BE577A0F74"},
		{life, scarwoodreach, "Die Hexenstunde", "Lillian Dunst", "Scourge of the Waste", "c3F17DA01E3AF2290"},
		{life, moonshade, "Die Sumpfbrut von Gorodon", "Gorodon", "Gorodon Licked", "c76F60B1B9FDD5B71"},
		{life, moonshade, "Das Leben einer Sumpfmutter", "Mogthunk", "Matricide", "c1132E3FD7B323148"},
		{life, stillmoor, "Waldkönig", "Barkoth", "Splintered Barkoth", "c1B50E751825D289C"},
		{life, stillmoor, "Hexe des Westens", "Cekeste Bospin", "What a World", "c394A2F384389BEAC"},
		
		{death, freemarch, "Seelensammlung", "Grimnir", "Razing the Dead", "c05ADDA5A841DD040"},
		{death, freemarch, "Die Hand des Todes", "Klaue des Regulos", "Declawed", "c2070E2A688B1B745"},
		{death, gloamwood, "Die ungebärdige Seuche", "Werbestie", "Silver Bullet", "c15BE5CA3D248217F"},
		{death, gloamwood, "Herabsinkende Nacht", "Moirna", "Eclipsing the Twilight", "c4937AE6A71F22ADE"},
		{death, stonefield, "Das Feld der Schreie", "Vairen Wirrlicht", "Ghost Busted", "c2216AD296A0A98C1"},
		{death, stonefield, "Untoten-Bürde", "Aufseher Remalkus", "Absent Oversight", "c3051847D53A83E6E"},
		{death, scarletgorge, "Tanz der Knochen", "Thangula", "Dead Thang", "c6CCD362C29446B21"},
		{death, scarletgorge, "Schlurferhorden", "Zombiemörder", "Unclean Masses", "c7BF2225B71D52871"},
		{death, scarwoodreach, "Doppelte Gefahr", "Fleischgewordener Schrecken", "Twins of Terror", "c2EA929A186E123E8"},
		{death, scarwoodreach, "Geflügelter Schrecken", "Schreckensbringer", "Vexing the Terror", "c4674B0F66A13AC04"},
		{death, moonshade, "Der Weg der Todesfeen", "Agrona", "Fairytale Ending", "c287E1E20964DDBB1"},
		{death, moonshade, "Leben und sterben lassen", "Conchobhar", "Bone Rattled", "c5A72FA7CBB0C758A"},
		{death, ironpinepeak, "Eiseskalte Geister", "Aristult", "Frozen Crypt", "c1D8853C5D61D3539"},
		{death, ironpinepeak, "Kalt bis auf die Knochen", "Iktharn Kaltstahl", "Coldsteel of Death", "c4C6626BB81BB8D97"},
		{death, stillmoor, "Gefürchteter Ritter", "Darian Targeth", "Targeth is Dead", "c294D55216673F7BA"},
		{death, stillmoor, "Fleischungetüm", "Hrolgaroth", "Tenderized", "c5C1B9842D6BA18B3"},
		{death, stillmoor, "Auge um Auge", "Gogalab", "Go home Gogalab", "c74324BB1C6A6F629"},
	}
end
