﻿--Command.System.Strict()

local addon, shared = ...

if Inspect.System.Language() == "English" then
	-- Planes
	local air = "Air"
	local earth = "Earth"
	local fire = "Fire"
	local water = "Water"
	local life = "Life"
	local death = "Death"
	
	-- Zones
	local silverwood = "Silverwood"
	local freemarch = "Freemarch"
	local gloamwood = "Gloamwood"
	local stonefield = "Stonefield"
	local scarletgorge = "Scarlet Gorge"
	local scarwoodreach = "Scarwood Reach"
	local droughtlands = "Droughtlands"
	local moonshade = "Moonshade Highlands"
	local ironpinepeak = "Iron Pine Peak"
	local shimmersand = "Shimmersand"
	local stillmoor = "Stillmoor"
	
	shared.text = {
		usage = "EventLookup %s\nUsage: /elt -m -z <zone> -p <plane> <searchText>\n(-m = events with missing achievements)",
		
		-- States
		complete = "COMPLETE",
		missing = "MISSING",
		defiant = "DEFIANT ONLY",
		guardian = "GUARDIAN ONLY"
	}
	
	shared.events = {
		-- { plane, zone, event name, boss name, achievement name, achievement ID}
		{air, droughtlands, "Terror of the Sky", "Ptevetorax", "Falling Roc", "c41D636E1C4EC0200"},
		{air, droughtlands, "Desert Wind", "Ditkanis", "Dust in the Wind", "c7C766D9D872A8AAE"},
		{air, ironpinepeak, "Stone Cold Invaders", "Sither", "Stone Cold", "c418F32E4E2F0A767"},
		{air, ironpinepeak, "The Sky Beasts", "Nedavada", "Storm Chaser", "c5A0C51BD870DD73B"},
		{air, ironpinepeak, "Planar Chill", "Kaltes", "Defrosted Kaltes", "c268CA6DC4D365137"},
		{air, shimmersand, "Wind and Wings", "Steetos", "Beating the Storm", "c768A63DD98B20D01"},
		{air, shimmersand, "Serpent Storm", "Aurispus", "Sand Storm Serpent Slayer", "c7EF8612891313D5D"},
		
		{earth, stonefield, "The Stone Titan", "Graniteborn Champion", "Titan Killer", "c581A104791380784"},
		{earth, stonefield, "Sticks and Stones", "Bulgantis", "Stone Crushed", "c6B21B27C971348CA"},
		{earth, scarletgorge, "Systematic Deconstruction", "VX-27 Dredger", "Disassembled", "c0E3F3646C6FCA88D"},
		{earth, scarletgorge, "A Royal Raid", "Kayahan", "Gnarcissist", "c26C9344497C949CB"},
		{earth, droughtlands, "Sting of the Sand", "Enselthis", "Desert Sting", "c04BF28314273543A"},
		{earth, droughtlands, "March of the Stone Army", "Gul'tiesh", "Ancient Undoing", "c18A23BEB9F09D3CC"},
		{earth, shimmersand, "Sand Worship", "Malan Ta'er", "Sand Blasted", "c2042E987634DFFB9"},
		{earth, shimmersand, "Scourge of the Sands", "Derinku", "Between a Rock and a Hot Place", "c27F4E5F49B461464"},

		{fire, silverwood, "March of the Gedlo", "Cinderon", "Cinderfella", "c409B1838F2DC8D9C"},
		{fire, silverwood, "The Forest Fire", "Mar'Kul", "Kul Down", "c49438D1B669C0D56"},
		{fire, gloamwood, "From the Deeps", "Gobogon", "Burn Notice", "c224E1C117F8E815A"},
		{fire, gloamwood, "Forged in Rage", "Kallusifer", "Extinguished", "c27C4B5C0845A0600"},
		{fire, scarletgorge, "The Crucible", "Deregal", "Ashes to Ashes", "c3F7446372CA9DFC8"},
		{fire, scarletgorge, "The Crucible", "Fenkor", "Kiss of the Flame", "c6AEF6967566E3216"},
		{fire, droughtlands, "The Burning Dragonian", "Silnolr", "Dragon Warrior", "c290FF1ADAA7E655E"},
		{fire, droughtlands, "Fiery Hoofsteps", "Kartok", "Knight of Flames", "c6E55084045AC8F25"},
		{fire, shimmersand, "From the Pit", "Valificur", "Fire and Sand", "c70439B3B5A552362"},
		
		{water, freemarch, "The Crushing Deep", "Xan'thaerid", "Dead Lobster", "c4A15BB79ACC61D54"},
		{water, freemarch, "Fall Of The Hammer", "Veras", "Verily Downstream", "c0A7A9453720B876C"},
		{water, moonshade, "Run to the Hills", "Maren", "Crashing the Wave", "c40DA58CECF337B8C"},
		{water, ironpinepeak, "The Snow Pack", "Farous", "The Driven Snow", "c40D47F16F42555AC"},
		{water, ironpinepeak, "Mountain Flood", "Geygesh", "Mountain Splash", "c5CC9B9DFACC77335"},
		
		{life, silverwood, "Battle of the Woodlands", "Inhibrius", "Intoxicated", "c6906DA688F3440FB"},
		{life, silverwood, "Arboreal Assault", "Gnarladon", "Uprooted", "c50FD748132E6CF64"},
		{life, scarwoodreach, "Hard Knocks", "Domovinius", "Battle Scars", "c282807BE577A0F74"},
		{life, scarwoodreach, "The Witching Hour", "Lillian Dunst", "Scourge of the Waste", "c3F17DA01E3AF2290"},
		{life, moonshade, "The Bogspawn of Gorodon", "Gorodon", "Gorodon Licked", "c76F60B1B9FDD5B71"},
		{life, moonshade, "Life of a Bog Mother", "Mogthunk", "Matricide", "c1132E3FD7B323148"},
		{life, stillmoor, "Forest King", "Barkoth", "Splintered Barkoth", "c1B50E751825D289C"},
		{life, stillmoor, "Witch of the West", "Cekeste Bospin", "What a World", "c394A2F384389BEAC"},
		
		{death, freemarch, "Gathering of Souls", "Grimnir", "Razing the Dead", "c05ADDA5A841DD040"},
		{death, freemarch, "The Hand of Death", "Claw of Regulos", "Declawed", "c2070E2A688B1B745"},
		{death, gloamwood, "The Wild Plague", "Werebeast", "Silver Bullet", "c15BE5CA3D248217F"},
		{death, gloamwood, "Descending Night", "Moirna", "Eclipsing the Twilight", "c4937AE6A71F22ADE"},
		{death, stonefield, "Field of Screams", "Vairen Maelwisp", "Ghost Busted", "c2216AD296A0A98C1"},
		{death, stonefield, "Undead Burden", "Overseer Remalkus", "Absent Oversight", "c3051847D53A83E6E"},
		{death, scarletgorge, "The Bone Dance", "Thangula", "Dead Thang", "c6CCD362C29446B21"},
		{death, scarletgorge, "Shambling Hordes", "Murder of Zombies", "Unclean Masses", "c7BF2225B71D52871"},
		{death, scarwoodreach, "Double Danger", "Fleshborn Terror", "Twins of Terror", "c2EA929A186E123E8"},
		{death, scarwoodreach, "Winged Horror", "Terrorvex", "Vexing the Terror", "c4674B0F66A13AC04"},
		{death, moonshade, "Where the Death Fae Go", "Agrona", "Fairytale Ending", "c287E1E20964DDBB1"},
		{death, moonshade, "Live and Let Die", "Conchobhar", "Bone Rattled", "c5A72FA7CBB0C758A"},
		{death, ironpinepeak, "Frostbitten Spirits", "Aristult", "Frozen Crypt", "c1D8853C5D61D3539"},
		{death, ironpinepeak, "Chilled to the Bone", "Iktharn Coldsteel", "Coldsteel of Death", "c4C6626BB81BB8D97"},
		{death, stillmoor, "Dreaded Knight", "Darian Targeth", "Targeth is Dead", "c294D55216673F7BA"},
		{death, stillmoor, "Flesh Monstrosity", "Hrolgaroth", "Tenderized", "c5C1B9842D6BA18B3"},
		{death, stillmoor, "An Eye for an Eye", "Gogalab", "Go home Gogalab", "c74324BB1C6A6F629"},
	}
end
